# Get optimization run

Retrieve detailed information about a specific optimization run

Endpoint: GET /optimization/runs/{id}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `id` (string, required)
    Optimization run ID

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `run` (object)

  - `run.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `run.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `run.createdAt` (string)
    The date and time this Entity has been created

  - `run.updatedAt` (string)
    The date and time this Entity has been updated

  - `run.platformId` (string)

  - `run.optimizationCreatedAt` (string)

  - `run.requestDataJson` (string)

  - `run.solutionDataJson` (string)

  - `run.metricsJson` (string)

  - `run.computationTimeMs` (integer)

  - `run.algorithmVersion` (string)

  - `run.status` (string)
    Enum: "RUNNING", "COMPLETED", "FAILED", "CANCELLED"

  - `run.errorMessage` (string)

## Response 401 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


